Gives assertion error. May be fb page id expired

  1. Describe the issue briefly

{‘error’: {‘message’: ‘(#803) Some of the aliases you requested do not exist: {112484523614558}’, ‘type’: ‘OAuthException’, ‘code’: 803, ‘fbtrace_id’: ‘A7zY3KDJAbtxkaJWr4NM762’}}

  1. How much time have you spent debugging this issue?
    (Please spend at least 15 minutes to resolve the issue on your own before posting a new topic here)
    more than 1 hour

  2. What is your hypothesis?
    api call is not successful, fb page id expired

Looks like the key you are passing in the json does not matches key in the APi documentation
Kindly refer the API documentation carefully

That’s the key given in the file which we are not supposed to change

getting the same error

Hey @hisourav4u and @amn14 Possible reasons of your errors are:

  1. You have hardcoded some values like access token or anything
  2. your json format for posting image is not correct
  3. you are executing for GET method instead of POST method
  4. your API_url is not correct make sure you are using correct api_url

Happy Coding

so we don’t have to hardcode acces token and page id in data file and in request.post()?

Yes you need to figure out in which file you have to define both of these parameters because as you can see there is a function get_access_token which is returning access token as parameter defined in constructor init().

No. You should ideally use variables and pass it in a parameter object, as given in API documentation.

After correcting everything it shows {‘message’: ‘A user access token is required to request this resource.’, ‘type’: ‘OAuthException’, ‘code’: 102, ‘fbtrace_id’: ‘Ag4jv0b-QHc1_W5VLqq5WXo’}}

I have used the correct access token inside the json format

Hey @hisourav4u just looked into your code you are doing an minor mistake in try to find it out then you are good to go.

thanks a lot ! I figured it out

Hey, please see what you are sending as a request. The mistake is very minor, you have nearly completed this module.

Now It works with version 5.0. I was using the request with version 6.0.

Thank you so very much @Saurav_Crio.Do @amanagar for your help.